# Uses of Enum Class
org.apache.sysds.lops.compile.linearization.IDagLinearizerFactory.DagLinearizer

Packages that use IDagLinearizerFactory.DagLinearizer
Package
Description
org.apache.sysds.conf
org.apache.sysds.lops.compile.linearization

## Uses of IDagLinearizerFactory.DagLinearizer in org.apache.sysds.conf

Methods in org.apache.sysds.conf that return IDagLinearizerFactory.DagLinearizer
Modifier and Type
Method
Description
`static IDagLinearizerFactory.DagLinearizer`
ConfigurationManager.`getLinearizationOrder()`

## Uses of IDagLinearizerFactory.DagLinearizer in org.apache.sysds.lops.compile.linearization

Methods in org.apache.sysds.lops.compile.linearization that return IDagLinearizerFactory.DagLinearizer
Modifier and Type
Method
Description
`static IDagLinearizerFactory.DagLinearizer`
IDagLinearizerFactory.DagLinearizer.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDagLinearizerFactory.DagLinearizer[]`
IDagLinearizerFactory.DagLinearizer.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.lops.compile.linearization with parameters of type IDagLinearizerFactory.DagLinearizer
Modifier and Type
Method
Description
`static IDagLinearizer`
IDagLinearizerFactory.`createDagLinearizer(IDagLinearizerFactory.DagLinearizer type)`